Bug 807348 - Traceback on repo unit search with non existing repo_id
Traceback on repo unit search with non existing repo_id
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
Master
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.4.0
Assigned To: Jay Dobies
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 11:02 EDT by Preethi Thomas
Modified: 2014-03-18 12:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-18 12:06:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-03-27 11:02:39 EDT
Description of problem:
If you do a repo units search with a non existing repoid, it results in traceback


Version-Release number of selected component (if applicable):

[root@preethi-el6-pulp ~]# rpm -q pulp
pulp-0.0.278-1.el6.noarch

How reproducible:


Steps to Reproduce:
1.run pulp-v2-admin with a non existing repo id
2.
3.
  
Actual results:

[root@preethi-el6-pulp ~]# pulp-v2-admin repo units rpm --repo_id=test
+----------------------------------------------------------------------+
                            Repository RPMs
+----------------------------------------------------------------------+

Traceback (most recent call last):
  File "/usr/bin/pulp-v2-admin", line 27, in <module>
    sys.exit(pulp.gc_client.launcher.main(config_file, override_config_file))
  File "/usr/lib/python2.6/site-packages/pulp/gc_client/launcher.py", line 199, in main
    code = cli.run(args)
  File "/usr/lib/python2.6/site-packages/pulp/gc_client/framework/core.py", line 436, in run
    code = self.context.exception_handler.handle_exception(e)
  File "/usr/lib/python2.6/site-packages/pulp/gc_client/framework/exceptions.py", line 85, in handle_exception
    exit_code = handle_func(e)
  File "/usr/lib/python2.6/site-packages/pulp/gc_client/framework/exceptions.py", line 129, in handle_not_found
    msg = _(msg) % {'r' : e.extra_data['resource_id']}
KeyError: 'resource_id'

Expected results:

repo doesnot exist message

Additional info:
Comment 1 Preethi Thomas 2013-10-04 14:32:59 EDT
verified

[root@pulp-v2-server ~]# pulp-admin rpm repo content  distribution --repo-id f19-copy
[root@pulp-v2-server ~]# ^C
[root@pulp-v2-server ~]# pulp-admin rpm repo content  distribution --repo-id test
The following resource(s) could not be found:

  test (repo_id)


[root@pulp-v2-server ~]# pulp-admin rpm repo content  rpm --repo-id testThe following resource(s) could not be found:

  test (repo_id)


[root@pulp-v2-server ~]#
Comment 2 Randy Barlow 2014-03-17 18:02:53 EDT
I guess we should set a release on this ticket so that it can move beyond VERIFIED?
Comment 3 Preethi Thomas 2014-03-18 12:06:14 EDT
These were already verified in the corresponding releases that they were fixed in. Moving them to closed current release.

Note You need to log in before you can comment on or make changes to this bug.